#define _disable_ld_no_undefined 1

%define major 1
%define libname %mklibname marco-private %{major}
%define develname %mklibname -d marco-private
%define oname marco

Summary:	MATE window manager
Name:		mate-window-manager
Version:	1.16.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{oname}-%{version}.tar.xz
Source1:	org.mate.marco.gschema.xml
#----------------------------------------------------
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: mate-common
BuildRequires: mate-dialogs
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}canberra-devel
BuildRequires: %{_lib}canberra-gtk-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
#BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}gtop2.0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}startup-notification-1-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcomposite-devel
BuildRequires: %{_lib}xcursor-devel
BuildRequires: %{_lib}xdamage-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xfixes-devel
BuildRequires: %{_lib}xinerama-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires: libxcb-devel
#----------------------------------------------------


%description
MATE Window Manager is a simple window manager that integrates nicely with 
MATE. 


%package devel
Summary:	Libraries and include files with MATE Window Manager
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%release

%description devel
This package provides the necessary development libraries and include 
files to allow you to develop with MATE Window Manager.

%prep
%setup -qn %oname-%version

%apply_patches

%build
%configure2_5x --disable-static --with-gtk=3.0

%make

%install
rm -rf %buildroot
export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std

install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/glib-2.0/schemas/org.mate.marco.gschema.xml

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'


%find_lang marco

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%files -f marco.lang
%defattr(-,root,root,-)
%doc README COPYING NEWS HACKING 
#%{_bindir}/marco-theme-viewer
%{_bindir}/marco
%{_bindir}/marco-message
%{_bindir}/marco-window-demo
%{_datadir}/applications/marco.desktop
%{_datadir}/mate-control-center/keybindings/50-marco*.xml
%{_datadir}/mate/wm-properties/marco-wm.desktop
%{_datadir}/themes/*
%{_mandir}/man1/*
%{_datadir}/glib-2.0/schemas/org.mate.marco.gschema.xml
%{_libdir}/libmarco-private.so.%{major}*
%{_datadir}/help/C/creating-marco-themes/index.docbook
%{_datadir}/marco/icons/marco-window-demo.png
   
%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%clean
rm -rf %buildroot


%changelog
* Sun Dec 11 2016 adrianomorselli <adrianomorselli> 1.16.0-1uplos2016
- rebuild

* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Sat May 21 2016 bb <bb> 1.14.2-1pclos2016
- update

* Fri Apr 22 2016 bb <bb> 1.14.1-1pclos2016
- update

* Fri Apr 08 2016 bb <bb> 1.14.0-1pclos2016
- update

* Wed Dec 02 2015 bb <bb> 1.12.1-1pclos2015
- update

* Fri Nov 06 2015 bb <bb> 1.12.0-1pclos2015
- update

* Thu Oct 15 2015 bb <bb> 1.10.2-3pclos2015
- rebuild for updates
